%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-puppet-modules
Epoch:          1
Version:        8.1.13
Release:        2%{?dist}
Summary:        Puppet modules used to deploy OpenStack
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

Source0:        https://github.com/redhat-openstack/%{name}/archive/%{upstream_version}.tar.gz

Patch0001: 0001-Update-.gitreview-for-backport-work.patch
Patch0002: 0002-Add-support-for-migration-over-SSH.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules used to install and configure OpenStack.


%prep
%setup -q -n %{name}-%{?upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r $(grep ^mod Puppetfile |cut -d\' -f2) %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet/


%changelog
* Wed May 10 2017 Alex Schultz <aschultz@redhat.com> 1:8.1.13-2
- Add support for migration over SSH (rhbz#1449324)

* Tue Mar 14 2017 Jason Guiditta <jguiditt@redhat.com> 1:8.1.13-1
- Update to 8.1.13
- [puppet-nova] libvirt: allow any binding for vncserver_listen
  (rhbz#1416994)
- [puppet-keystone] Ensures $keystone_wsgi_script_path right permissions
  (rhbz#1399146)

* Wed Jan 18 2017 Jason Guiditta <jguiditt@redhat.com> 1:8.1.10-2
- [puppet-swift] Update swift to 998abbc58f83feaffaa2cb62880e9ce2ae9bcabb
  (rhbz#1412845)

* Mon Nov 28 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.10-1
- Update to 8.1.10
- [puppet-tripleo] loadbalancer: manage ipv6 sysctl (rhbz#1368104)
- [puppet-openstacklib] normalize_ip_for_uri: allow to give an array of IP
  addresses (rhbz#1399182)

* Fri Oct 21 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.8-3
- Update neutron to 3af5e9a40400bc7dc47cd7c265b5f126637c4ba3 (rhbz#1387378)
- Update contrail to c0f7cde686c20ce139c184c688e9f7d13dcd0743 (rhbz#1387277)

* Tue Aug 16 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.8-2
- [puppet-openstacklib] Add missing namevar method to 
  openstack_config provider (rhbz#1365678)

* Wed Aug 10 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.8-1
- Update to 8.1.8
- [puppet-nova][puppet-neutron] obsolete network_device_mtu configuration
  persists in configuration files (rhbz#1365678)

* Wed Aug 03 2016 Lukas Bezdicka <lbezdick@redhat.com> 1:8.1.7-2
- Refresh keys if caps are changed
- [RHBZ 1353971]

* Thu Jul 28 2016 Lukas Bezdicka <lbezdick@redhat.com> 1:8.1.7-1
- Update to upstream 8.1.7
- [puppet-nova] Implement nova::cache in stable/mitaka (rhbz#1361301)

* Thu Jul 14 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.5-1
- Update to 8.1.5
- [puppet-neutron] Fix logic in validate_vxlan_udp_port (rhbz#1354598)

* Tue Jun 28 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.2-1
- Update to 8.1.2
- [puppet-neutron] Consolidate service_providers into neutron server
  (rhbz#1349891)

* Thu Jun 09 2016 Jason Guiditta <jguiditt@redhat.com> 1:8.1.1-1
- Update to 8.1.1
- [puppet-gnocchi] ceph: allow to deploy python-cradox (rhbz#1342571)

* Fri May 06 2016 Alan Pevec <apevec AT redhat.com> - 8.0.4-1
- Update to 8.0.4

* Tue Apr  5 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1:8.0.0-1
- Update to 8.0.0

* Thu Mar 24 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1:8.0.0-0.1.0rc1
- Upstream 8.0.0.0rc1

